package com.qmth.boot.core.sms.config;

import com.qmth.boot.core.retrofit.interfaces.CustomizeRetrofitConfiguration;
import com.qmth.boot.core.retrofit.interfaces.SignatureProvider;
import com.qmth.boot.core.solar.config.SolarProperties;
import com.qmth.boot.tools.signature.SignatureType;

public class SmsApiConfiguration implements CustomizeRetrofitConfiguration {

    private SmsProperties smsProperties;

    private SolarProperties solarProperties;

    public SmsApiConfiguration(SmsProperties smsProperties, SolarProperties solarProperties) {
        this.smsProperties = smsProperties;
        this.solarProperties = solarProperties;
    }

    public String getBaseUrl() {
        return smsProperties.getServer();
    }

    public SignatureProvider getSignature() {
        return new SignatureProvider() {

            @Override
            public SignatureType getType() {
                return SignatureType.SECRET;
            }

            @Override
            public String getIdentity() {
                return solarProperties.getAccessKey();
            }

            @Override
            public String getSecret() {
                return solarProperties.getAccessSecret();
            }
        };
    }
}
